Summary:	UNIX Joystick Wrapper Library and calibrator
Summary(pl.UTF-8):	Biblioteka do obsługi joysticka pod Uniksem
Name:		libjsw
Version:	1.5.8
Release:	2
License:	GPL-like
Group:		Libraries
Source0:	http://wolfsinger.com/~wolfpack/packages/%{name}-%{version}.tar.bz2
# Source0-md5:	1158f770c3aa82587fd70e6bd3c840df
Source1:	jscalibrator.desktop
Source2:	jscalibrator.png
Patch0:		%{name}-intbool.patch
Patch1:		%{name}-link.patch
URL:		http://freecode.com/projects/libjsw
BuildRequires:	gtk+-devel
BuildRequires:	libstdc++-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The UNIX Joystick Driver Wrapper Library and Calibrator (aka libjsw)
provides the programmer with the assistance to easilly code
applications that need to use the joystick driver and a convience to
users by storing the calibration information in a .joystick
calibration file.

%description -l pl.UTF-8
UNIX Joystick Driver Wrapper Library and Calibrator (czyli libjsw)
daje programiście możliwość łatwego pisania programów korzystających z
joysticka oraz możliwość przechowywania informacji o kalibracji w
pliku .joystick w katalogu domowym użytkownika.

%package devel
Summary:	libjsw development package
Summary(pl.UTF-8):	Pliki dla programistów libjsw
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
libjsw development package.

%description devel -l pl.UTF-8
Pliki dla programistów używających libjsw.

%package -n jscalibrator
Summary:	Joystick calibrator
Summary(pl.UTF-8):	Kalibrator joysticka
Group:		X11/Applications/Games
Requires:	%{name} = %{version}-%{release}

%description -n jscalibrator
Joystick calibrator for use with libjsw.

%description -n jscalibrator -l pl.UTF-8
Kalibrator joysticka do używania z libjsw.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
cd libjsw
%{__make} \
	CFLAGS="%{rpmcflags} %{!?debug:-fomit-frame-pointer} -funroll-loops -ffast-math -fPIC"
ln -sf libjsw.so.*.* libjsw.so
cd ..

ln -sf include/jsw.h .
%{__make} -C jscalibrator \
	CFLAGS="`gtk-config --cflags` %{rpmcflags} %{!?debug:-fomit-frame-pointer} -funroll-loops -ffast-math" \
	INC_DIRS="-I.."

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} -C libjsw install \
	JSW_LIB_DIR="$RPM_BUILD_ROOT%{_libdir}" \
	JSW_INC_DIR="$RPM_BUILD_ROOT%{_includedir}" \
	JSW_MAN_DIR="$RPM_BUILD_ROOT%{_mandir}/man3"

%{__make} -C jscalibrator install \
	BIN_DIR="$RPM_BUILD_ROOT%{_bindir}" \
	ICONS_DIR="$RPM_BUILD_ROOT%{_pixmapsdir}" \
	MAN_DIR="$RPM_BUILD_ROOT%{_mandir}/man1" \
	DATA_DIR="$RPM_BUILD_ROOT%{_datadir}/libjsw"

install -d $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}
install jswdemos/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

# soname is .so.%{version}
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libjsw.so.1

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc LICENSE README
%attr(755,root,root) %{_libdir}/libjsw.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libjsw.so
%{_includedir}/jsw.h
%{_mandir}/man3/JS*.3*
%{_examplesdir}/%{name}-%{version}

%files -n jscalibrator
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/jscalibrator
%{_datadir}/libjsw
%{_mandir}/man1/jscalibrator.1*
%{_desktopdir}/jscalibrator.desktop
%{_pixmapsdir}/jscalibrator.png
%{_pixmapsdir}/jscalibrator.xpm
%changelog
* Mon Jun 20 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libjsw.git;a=log;h=master

* Mon Jun 20 2016 Jan Rękorajski <baggins@pld-linux.org> 5136775
- release 2 (by relup.sh)

* Sun Feb 02 2014 Jakub Bogusz <qboosh@pld-linux.org> 268d571
- new URLs, updated to 1.5.8

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 27cb1f0
- release 2

* Thu Feb 07 2008 ankry <ankry@pld-linux.org> d6de16d
- pl

* Wed Dec 26 2007 blekot <blekot@pld-linux.org> bdb58d1
- massive change ( validate errors warrings from desktop-file-validate)
  - sed -i 's,Encoding=UTF-8,,g' *.desktop
  - sed -i "s,.png,,1" `grep -l 'Icon=[^/].*\.png' *.desktop`
  - sed -i "s,MimeType=.*,\0;,g" `grep "MimeType.*semicolon" validate |awk '{print $1}' |tr ":" " "`
  - sed -i 's,MapNotify=.*,,g' *.desktop
  - sed -i '/^$/d' *.desktop
- not all error/warrings validated

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 4d1c8c5
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> ded031f
- converted to UTF-8

* Sun Apr 23 2006 Jakub Bogusz <qboosh@pld-linux.org> 7d8372c
- updated to 1.5.6, updated link patch, removed obsolete glibc,gcc4 patches

* Sun Apr 23 2006 Jakub Bogusz <qboosh@pld-linux.org> 93d9ea8
- obsolete

* Sun Apr 23 2006 Jakub Bogusz <qboosh@pld-linux.org> 4932a81
- updated for 1.5.6

* Sun May 15 2005 witekfl <witekfl@pld-linux.org> e87c2f1
- added gcc4.patch
- added demos to devel subpackage
- Rel 2

* Sun May 15 2005 witekfl <witekfl@pld-linux.org> 9ed0087
- fixes for gcc4

* Mon Dec 27 2004 Jakub Bogusz <qboosh@pld-linux.org> 387c01d
- updated to 1.5.5, added glibc patch

* Mon Dec 27 2004 Jakub Bogusz <qboosh@pld-linux.org> 23cf6d6
- strcasestr() is in glibc

* Mon Apr 19 2004 Jakub Bogusz <qboosh@pld-linux.org> d409caa
- updated to 1.5.4, switched to vfolders

* Mon Apr 19 2004 Jakub Bogusz <qboosh@pld-linux.org> 8db8218
- updated for 1.5.4

* Mon Apr 19 2004 Jakub Bogusz <qboosh@pld-linux.org> ca3a659
- +Categories

* Mon Apr 05 2004 Adam Gołębiowski <adamg@pld-linux.org> 7d7ad49
- fixed group

* Sun Nov 23 2003 saq <saq@pld-linux.org> 2b71695
- added Encoding=UTF-8 as requires by freedesktop

* Sun Nov 23 2003 Tomasz Pala <gotar@pld-linux.org> 14957b5
- s/^Terminal=0/Terminal=false/ s/^Terminal=1/Terminal=true/ to conform
  freedesktop.org desktop-entry specification

